Name:           python-jsonref
Version:        1.1.0
Release:    4%{?dist}
Summary:        Python library for automatic dereferencing of JSON Reference objects

License:        MIT
URL:            https://github.com/gazpachoking/jsonref
Source0:         %{url}/archive/v%{version}/jsonref-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
jsonref is a library for automatic dereferencing of JSON Reference objects for
Python (supporting Python 3.7+).  This library lets you use a data structure
with JSON reference objects, as if the references had been replaced with the
referent data.}


%description %_description


%package -n     python3-jsonref
Summary:        %{summary}


%description -n python3-jsonref %_description


%prep
%autosetup -n jsonref-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jsonref proxytypes


%check
%pytest -v tests.py


%files -n python3-jsonref -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
